
Foreman - Feature #161

No way to indicate multiple puppet intervals
Target version:    
Pull request:    

Description

We have multiple classes of client with several puppet run intervals. (For example, the memcache servers run every 6 hours due to

the high IO load puppet imposes, which frequently results in memcached timeouts.) There is no way to associate a tag/class with a

run interval in foreman, so these servers are perpetually listed as outdated.

History

#1 - 01/27/2010 06:33 AM - Ohad Levy

- Status changed from New to Feedback

- Assignee changed from Ohad Levy to Dis Connect

I gave this some more thought, and I'm not 100% sure its a good idea.

one small bug in puppet, is that sometimes it sends the same report twice, in order not to import it again, I validate that there is only one report per

host per a certain time, this will not work if I'll keep the server local time instead.

I do keep the creation time of the report in the db as well, would it be ok as a work around to expire reports based on their creation time in the db

instead of their reported time? this will fix the issue with unable to expire reports that have a wrong date.

additionally, I can write errors to the log if the report time is different to the current time (e.g. +1 one hour in utc).

#2 - 03/22/2010 02:06 PM - Dis Connect

- Assignee changed from Dis Connect to Ohad Levy

Assigned to me somehow, assigning it back. (Also, that comment was for a different bug - this is about long-interval hosts.)

#3 - 07/18/2011 09:49 AM - Ohad Levy

- Assignee deleted (Ohad Levy)

#4 - 07/02/2012 06:43 AM - Ohad Levy

- Tracker changed from Bug to Feature

#5 - 12/06/2012 10:37 AM - Benjamin Papillon

- Status changed from Feedback to New

Powered by TCPDF (www.tcpdf.org)

05/19/2024 1/1

http://www.tcpdf.org

